#
# Cookbook Name:: tarsnap
# Recipe:: cron
#
# Copyright 2011,2012, ZephirWorks
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

binary_path = "#{node['tarsnap']['bin_dir']}/tarsnap"

case node['tarsnap']['cron']['type']
when 'cron'
  cron "tarsnap" do
    hour "4"
    minute "12"
    command "#{binary_path} --config #{node['tarsnap']['conf_dir']}/tarsnapper.conf make"
  end

when 'periodic'
  directory "#{node['tarsnap']['cron']['periodic_dir']}/daily" do
    action :create
    recursive true
  end

  template "#{node['tarsnap']['cron']['periodic_dir']}/tarsnap" do
    source "periodic.erb"
    owner "root"
    group 0
    mode 0755
    variables(
      :binary => binary_path
    )
  end
end
